%define upstream_name    first
%define upstream_version v0.0.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Use the first loadable module in a list
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(version)
BuildArch: noarch

%description
Two main circumstances I've encountered where this is useful is:

* * when you have a list of modules that have the same interface but are
  more desirable for one reason or another like speed, portability, or
  availability.

      use first 'CGI::Simple', 'CGI::Minimal', 'CGI';

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.0.1-8.mga10
+ Revision: 2199328
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.0.1-7.mga9
+ Revision: 1803738
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.0.1-6.mga8
+ Revision: 1494588
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.0.1-5.mga7
+ Revision: 1268181
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.0.1-4.mga6
+ Revision: 1027632
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.0.1-3.mga6
+ Revision: 939723
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.1-2.mga5
+ Revision: 750731
- Second Mageia 5 Mass Rebuild

* Mon Sep 22 2014 tv <tv> 0.0.1-1.mga5
+ Revision: 718811
- imported package perl-first


* Mon Sep 22 2014 Thierry Vignaud <tv@mageia.org> 0.0.1-1.mga5
- initial mageia release, generated with cpan2dist
